Crashpad

Public Member Functions | List of all members
crashpad::Signals::OldActions Class Reference

A group of `struct sigaction` structures corresponding to a set of signals’ previous actions, addressable by signal number. More...

`#include "util/posix/signals.h"`

## Public Member Functions
struct sigaction * | ActionForSignal (int sig)
| Returns a `struct sigaction` structure corresponding to the given signal. More...

## Detailed Description

A group of `struct sigaction` structures corresponding to a set of signals’ previous actions, addressable by signal number.

This type is used to store previous signal actions when new actions are installed in batch by InstallCrashHandlers() or InstallTerminateHandlers().

This object is not initialized by any constructor. Its expected initial state is to have its contents filled with zeroes. Because signal handlers are stateless (there is no “context” parameter), any state must be accessed via objects of static storage duration, and it is expected that objects of this class will only ever exist with static storage duration, which in the absence of a constructor will be zero-initialized as expected. In the event that an object of this class must exist with a different storage duration, such as automatic or dynamic storage duration, it must be explicitly initialized. For example: `OldActions old_actions = {};`.

## Member Function Documentation

## ◆ ActionForSignal()

struct sigaction * crashpad::Signals::OldActions::ActionForSignal | ( | int | sig | ) |

Returns a `struct sigaction` structure corresponding to the given signal.

Note
  This method is safe to call from a signal handler.

The documentation for this class was generated from the following files:

- util/posix/signals.h
- util/posix/signals.cc